package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microformats.exceptions;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.location.EntityLocation;

public class MultipleDefinitionsForSingularMFException extends InvalidDataMFException {

    public MultipleDefinitionsForSingularMFException(final String name) {
        super(name, false);
    }

    public MultipleDefinitionsForSingularMFException(final String name, final boolean critical) {
        super(name, critical);
    }

    public MultipleDefinitionsForSingularMFException(final String name, final boolean critical, final EntityLocation location) {
        super(name, critical, location);
    }

    public MultipleDefinitionsForSingularMFException(final String name, final EntityLocation location) {
        super(name, location);
    }

    @Override
    public String getKey() {
        return "multiple_defention";
    }
}
